CHROOT(8)

NAME
chroot - change root directory

SYNOPSIS
chroot [-u user] [-g group] [-G group,group,...] newroot [command]

DESCRIPTION
The chroot utility changes its current and root directories to the supplied directory newroot and then exec's command, if supplied, or an interactive copy of the user's login shell.

If the -u, -g or -G options are given, the user, group and group list of the process are set to these values after the chroot(8) has taken place.

ENVIRONMENT
The following environment variable is referenced by chroot:

SHELL
    If set, the string specified by SHELL is interpreted as the name of the shell to exec. If the variable SHELL is not set, /bin/sh is used.

SEE ALSO
chdir(2), chroot(2), setgid(2), setgroups(2), setuid(2), getgrnam(3), environ(7), jail(8)

HISTORY
The chroot utility first appeared in 4.4BSD.